com.trendmicro.ds.platform.rest.object.smartfolder

## Class QueryDefinition

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.smartfolder.QueryDefinition

-     public class QueryDefinition
      extends java.lang.Object

  A Smart Folder Query Definition.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `QueryDefinition.ValueType` The variable types allowed for value fields

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryDefinition()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object object)`
    `java.util.List<QueryDefinitionElement>` | `getOperatorList()` Gets the list of allowed operators for first key.
    `QueryDefinitionElement` | `getQueryKey()` Gets the main key of the Query Definition.
    `java.util.List<QueryDefinitionElement>` | `getSecondaryOperatorList()` Gets the list of allowed operators for the second key.
    `java.lang.String` | `getSecondaryValueHelp()` Gets The help text to show for the secondary value.
    `java.util.List<QueryDefinitionElement>` | `getSecondaryValueList()` Gets The list of allowed values for the second key.
    `QueryDefinition.ValueType` | `getSecondaryValueType()` Gets the variable type for the first value.
    `java.lang.String` | `getValueHelp()` Gets The help text to show for the primary value.
    `java.util.List<QueryDefinitionElement>` | `getValueList()` Gets the list of allowed values for the first key.
    `QueryDefinition.ValueType` | `getValueType()` Gets the variable type for the first value.
    `void` | `setOperatorList(java.util.List<QueryDefinitionElement> operatorList)` Sets the list of allowed operators for first key.
    `void` | `setQueryKey(QueryDefinitionElement key)` Sets the main key of the Query Definition.
    `void` | `setSecondaryOperatorList(java.util.List<QueryDefinitionElement> secondaryOperatorList)` Sets The list of allowed operators for the second key.
    `void` | `setSecondaryValueHelp(java.lang.String secondaryValueHelp)` Sets The help text to show for the secondary value.
    `void` | `setSecondaryValueList(java.util.List<QueryDefinitionElement> valueList)` The list of allowed values for the second key.
    `void` | `setSecondaryValueType(QueryDefinition.ValueType secondaryValueType)` Sets the variable type for the second value.
    `void` | `setValueHelp(java.lang.String ValueHelp)` Sets The help text to show for the primary value.
    `void` | `setValueList(java.util.List<QueryDefinitionElement> valueList)` Sets the list of allowed values for the first key.
    `void` | `setValueType(QueryDefinition.ValueType valueType)` Sets the variable type for the first value.
    `QueryDefinition` | `withOperatorList(java.util.List<QueryDefinitionElement> operatorList)` Sets the list of allowed operators for first key.
    `QueryDefinition` | `withQueryKey(QueryDefinitionElement queryKey)` Sets the main key of the Query Definition.
    `QueryDefinition` | `withSecondaryOperator(java.util.List<QueryDefinitionElement> secondaryOperatorList)`
    `QueryDefinition` | `withSecondaryValueHelp(java.lang.String secondaryValueHelp)` Sets The help text to show for the secondary value.
    `QueryDefinition` | `withSecondaryValueList(java.util.List<QueryDefinitionElement> secondaryValueList)` Sets the list of allowed values for second key.
    `QueryDefinition` | `withSecondaryValueType(QueryDefinition.ValueType secondaryValueType)` Sets The variable type for the second value.
    `QueryDefinition` | `withValueHelp(java.lang.String ValueHelp)` Sets The help text to show for the primary value.
    `QueryDefinition` | `withValueList(java.util.List<QueryDefinitionElement> valueList)` Sets the list of allowed values for first key.
    `QueryDefinition` | `withValueType(QueryDefinition.ValueType valueType)` Sets the variable type for the first value.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryDefinition

          public QueryDefinition()

  - ### Method Detail

    - #### getQueryKey

          public QueryDefinitionElement getQueryKey()

      Gets the main key of the Query Definition.
      Returns:
        The main key of the Query Definition.

    - #### setQueryKey

          public void setQueryKey(QueryDefinitionElement key)

      Sets the main key of the Query Definition.
      Parameters:
        `key1` - The main key of the Query Definition.

    - #### getOperatorList

          public java.util.List<QueryDefinitionElement> getOperatorList()

      Gets the list of allowed operators for first key.
      Returns:
        The list of allowed operators for first key.

    - #### setOperatorList

          public void setOperatorList(java.util.List<QueryDefinitionElement> operatorList)

      Sets the list of allowed operators for first key.
      Parameters:
        `operator1List` - The list of allowed operators for first key.

    - #### getValueList

          public java.util.List<QueryDefinitionElement> getValueList()

      Gets the list of allowed values for the first key.
      Returns:
        The list of allowed values for the first key.

    - #### setValueList

          public void setValueList(java.util.List<QueryDefinitionElement> valueList)

      Sets the list of allowed values for the first key.
      Parameters:
        `value1List` - The list of allowed values for the first key.

    - #### getSecondaryOperatorList

          public java.util.List<QueryDefinitionElement> getSecondaryOperatorList()

      Gets the list of allowed operators for the second key.
      Returns:
        The list of allowed operators for the second key.

    - #### setSecondaryOperatorList

          public void setSecondaryOperatorList(java.util.List<QueryDefinitionElement> secondaryOperatorList)

      Sets The list of allowed operators for the second key.
      Parameters:
        `operator2List` - The list of allowed operators for the second key.

    - #### getSecondaryValueList

          public java.util.List<QueryDefinitionElement> getSecondaryValueList()

      Gets The list of allowed values for the second key.
      Returns:
        The list of allowed values for the second key.

    - #### setSecondaryValueList

          public void setSecondaryValueList(java.util.List<QueryDefinitionElement> valueList)

      The list of allowed values for the second key.
      Parameters:
        `value2List` - The list of allowed values for the second key.

    - #### getValueType

          public QueryDefinition.ValueType getValueType()

      Gets the variable type for the first value.
      Returns:
        The variable type for the first value.

    - #### setValueType

          public void setValueType(QueryDefinition.ValueType valueType)

      Sets the variable type for the first value.
      Parameters:
        `value1Type` - The variable type for the first value.

    - #### getSecondaryValueType

          public QueryDefinition.ValueType getSecondaryValueType()

      Gets the variable type for the first value.
      Returns:
        The variable type for the first value.

    - #### setSecondaryValueType

          public void setSecondaryValueType(QueryDefinition.ValueType secondaryValueType)

      Sets the variable type for the second value.
      Parameters:
        `value2Type` - The variable type for the second value.

    - #### withQueryKey

          public QueryDefinition withQueryKey(QueryDefinitionElement queryKey)

      Sets the main key of the Query Definition.
      Parameters:
        `key1` - The main key of the Query Definition.
      Returns:
        The updated QueryDefinition object

    - #### withOperatorList

          public QueryDefinition withOperatorList(java.util.List<QueryDefinitionElement> operatorList)

      Sets the list of allowed operators for first key.
      Parameters:
        `operator1List` - The list of allowed operators for first key.
      Returns:
        The updated QueryDefinition object

    - #### withValueList

          public QueryDefinition withValueList(java.util.List<QueryDefinitionElement> valueList)

      Sets the list of allowed values for first key.
      Parameters:
        `operatorList` - The list of allowed values for first key.
      Returns:
        The updated QueryDefinition object

    - #### withSecondaryOperator

          public QueryDefinition withSecondaryOperator(java.util.List<QueryDefinitionElement> secondaryOperatorList)

      Parameters:
        `operator2List` -
      Returns:
        The updated QueryDefinition object

    - #### withSecondaryValueList

          public QueryDefinition withSecondaryValueList(java.util.List<QueryDefinitionElement> secondaryValueList)

      Sets the list of allowed values for second key.
      Parameters:
        `operatorList` - The list of allowed values for second key.
      Returns:
        The updated QueryDefinition object

    - #### withValueType

          public QueryDefinition withValueType(QueryDefinition.ValueType valueType)

      Sets the variable type for the first value.
      Parameters:
        `value1Type` - The variable type for the first value.
      Returns:
        The updated QueryDefinition object

    - #### withSecondaryValueType

          public QueryDefinition withSecondaryValueType(QueryDefinition.ValueType secondaryValueType)

      Sets The variable type for the second value.
      Parameters:
        `value2Type` - The variable type for the second value.
      Returns:
        The updated QueryDefinition object

    - #### getValueHelp

          public java.lang.String getValueHelp()

      Gets The help text to show for the primary value.
      Returns:
        The help text to show for the primary value

    - #### setValueHelp

          public void setValueHelp(java.lang.String ValueHelp)

      Sets The help text to show for the primary value.
      Parameters:
        `ValueHelp` - The help text to show for the primary value

    - #### getSecondaryValueHelp

          public java.lang.String getSecondaryValueHelp()

      Gets The help text to show for the secondary value.
      Returns:
        The help text to show for the secondary value

    - #### setSecondaryValueHelp

          public void setSecondaryValueHelp(java.lang.String secondaryValueHelp)

      Sets The help text to show for the secondary value.
      Parameters:
        `secondaryValueHelp` - The help text to show for the secondary value.

    - #### withValueHelp

          public QueryDefinition withValueHelp(java.lang.String ValueHelp)

      Sets The help text to show for the primary value.
      Parameters:
        `ValueHelp` - The help text to show for the primary value.
      Returns:
        The updated QueryDefinition object

    - #### withSecondaryValueHelp

          public QueryDefinition withSecondaryValueHelp(java.lang.String secondaryValueHelp)

      Sets The help text to show for the secondary value.
      Parameters:
        `secondaryValueHelp` - The help text to show for the secondary value.
      Returns:
        The updated QueryDefinition object

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `java.lang.Object`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.